Package org.apache.tapestry5.internal.services

# Class SessionApplicationStatePersistenceStrategy

java.lang.Object
org.apache.tapestry5.internal.services.SessionApplicationStatePersistenceStrategy

All Implemented Interfaces:
  `ApplicationStatePersistenceStrategy`

Direct Known Subclasses:
  `EntityApplicationStatePersistenceStrategy`, `EntityApplicationStatePersistenceStrategy`

public class SessionApplicationStatePersistenceStrategy extends Object implements ApplicationStatePersistenceStrategy
Stores ASOs in the `Session`, which will be created as necessary.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SessionApplicationStatePersistenceStrategy(Request request)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected <T> String`
  `buildKey(Class<T> ssoClass)`
  `<T> boolean`
  `exists(Class<T> ssoClass)`
  Returns true if the SSO already exists, false if null.
  `<T> T`
  `get(Class<T> ssoClass, ApplicationStateCreator<T> creator)`
  Gets the SSO from the domain.
  `<T> T`
  `getIfExists(Class<T> ssoClass)`
  Returns the SSO if it exists or null.
  `protected <T> Object`
  `getOrCreate(Class<T> ssoClass, ApplicationStateCreator<T> creator)`
  `protected Session`
  `getSession()`
  `<T> void`
  `set(Class<T> ssoClass, T sso)`
  Stores a new SSO, possibly replacing the existing one.
  `protected <T> T`
  `transformPersistedValue(Object value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SessionApplicationStatePersistenceStrategy

    public SessionApplicationStatePersistenceStrategy(Request request)

- ## Method Details

  - ### getSession

    protected Session getSession()

  - ### get

    public <T> T get(Class<T> ssoClass, ApplicationStateCreator<T> creator)
    Description copied from interface: `ApplicationStatePersistenceStrategy`
    Gets the SSO from the domain. If the SSO does not already exist, it is created and stored, then returned.
    Specified by:
      `get` in interface `ApplicationStatePersistenceStrategy`

  - ### getOrCreate

    protected <T> Object getOrCreate(Class<T> ssoClass, ApplicationStateCreator<T> creator)

  - ### getIfExists

    public <T> T getIfExists(Class<T> ssoClass)
    Description copied from interface: `ApplicationStatePersistenceStrategy`
    Returns the SSO if it exists or null.
    Specified by:
      `getIfExists` in interface `ApplicationStatePersistenceStrategy`

  - ### transformPersistedValue

    protected <T> T transformPersistedValue(Object value)

  - ### buildKey

    protected <T> String buildKey(Class<T> ssoClass)

  - ### set

    public <T> void set(Class<T> ssoClass, T sso)
    Description copied from interface: `ApplicationStatePersistenceStrategy`
    Stores a new SSO, possibly replacing the existing one.
    Specified by:
      `set` in interface `ApplicationStatePersistenceStrategy`
      `sso` - instance to store, or null to delete existing

  - ### exists

    public <T> boolean exists(Class<T> ssoClass)
    Description copied from interface: `ApplicationStatePersistenceStrategy`
    Returns true if the SSO already exists, false if null.
    Specified by:
      `exists` in interface `ApplicationStatePersistenceStrategy`